aboutsummaryrefslogtreecommitdiff
path: root/others
diff options
context:
space:
mode:
Diffstat (limited to 'others')
-rwxr-xr-xothers/generic/generic.SlackBuild7
1 files changed, 4 insertions, 3 deletions
diff --git a/others/generic/generic.SlackBuild b/others/generic/generic.SlackBuild
index 17389148..582a9c6f 100755
--- a/others/generic/generic.SlackBuild
+++ b/others/generic/generic.SlackBuild
@@ -1,7 +1,7 @@
################################################
## Generic template for SlackBuilds
##
-## Version 0.3 - Luis
+## Version 0.3.1 - Luis
##
################################################
#!/bin/bash
@@ -86,9 +86,10 @@ fi
gpg --verify "$SRC_DIR/$SRC.sig" "$SRC_DIR/$SRC" || exit $ERROR_GPG
# Untar, patch, configure, compile and install
-tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" -C "$SRC_DIR" || exit $ERROR_TAR
+cd "$SRC_DIR"
+tar --no-same-owner --no-same-permissions -xvf "$SRC_DIR/$SRC" || exit $ERROR_TAR
cd "$PKG_SRC"
-patch -Np[[NUMBER OF PREFIX SLASHES TO STRIP]] < $CWD/[[PATCH FILE]]
+patch -Np[[NUMBER OF PREFIX SLASHES TO STRIP]] < "$CWD/[[PATCH FILE]]"
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \